FROM oven/bun

ADD packages/doorman-api packages/doorman-api
ADD packages/doorman-homeassistant packages/doorman-homeassistant
ADD bun.lockb bun.lockb
ADD package.json package.json

RUN bun install

CMD ["bun", "run", "packages/doorman-homeassistant/src/index.ts"]